--- title: "getCloudCacheTargetVpcList" slug: "database-vcache-getcloudcachetargetvpclist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcachetargetvpclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheTargetVpcList Available in VPC Get the list of VPCs available in Cloud DB for Cache. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheTargetVpcList API: Support for Valkey and Redis DBMS - getCloudRedisTargetVpcList API: Support for Redis DBMS ## getCloudCacheTargetVpcList API This section describes the request and response formats for the getCloudCacheTargetVpcList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /getCloudCacheTargetVpcList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheTargetVpcList ?regionCode=KR' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [TargetVpcList](/docs/en/common-vapidatatype-targetvpclist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=xml` (default) ``` cd819e87-d0b6-42cc-bdea-a311d422e091 0 success 2 39** exer**** 10.2.0.0/16 KR 2022-02-09T18:29:04+0900 18** te** 10.3.1.0/24 KR 2021-01-14T23:00:32+0900 ``` ## getCloudRedisTargetVpcList API This section describes the request and response formats for the getCloudRedisTargetVpcList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisTargetVpcList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the VPC to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisTargetVpcList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [TargetVpcList](/docs/en/common-vapidatatype-targetvpclist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisTargetVpcListResponse": { "totalRows": 2, "targetVpcList": [ { "vpcNo": "****73", "vpcName": "exer****", "ipv4Cidr": "10.0.0.0/16", "regionCode": "KR", "createdDate": "2024-04-24T09:54:59+0900" }, { "vpcNo": "****83", "vpcName": "te**", "ipv4Cidr": "192.168.0.0/16", "regionCode": "KR", "createdDate": "2021-11-24T13:08:02+0900" } ], "requestId": "ea022053-****-****-****-0a3a4842af11", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` ea022053-****-****-****-0a3a4842af11 0 success 2 ****73 exer**** 10.0.0.0/16 KR 2024-04-24T09:54:59+0900 ****83 te** 192.168.0.0/16 KR 2021-11-24T13:08:02+0900 ```